@import "../shared-resource-logo-overlay/shared-resource-logo-overlay.presentational";


:host {
  .overlay {
    .informations {
      display: grid;
      align-items: center;
      grid-template-rows: max-content max-content;
      grid-gap: 8px;

      .fullname {
        font-weight: bold;
        font-size: 20px;
      }

      .orcid-wrapper {
        display: grid;
        grid-template-columns: max-content max-content;
        grid-gap: 5px;
        align-items: center;
        cursor: pointer;

        .logo {

        }

        .orcid {
          font-size: 12px;
        }
      }

      .institutions {
        display: grid;
        grid-gap: 2px;
        font-size: 12px;

        .institution {
          display: grid;
          grid-template-columns: 1fr;
          grid-gap: 5px;
          align-items: center;

          &.with-icon {
            grid-template-columns: minmax(60px, max-content) max-content;
          }

          .institution-name {
            @include truncate-with-ellipsis;
          }

          .icon {
            cursor: pointer;
          }
        }
      }
    }

    .orcid-websites-zone {
      .title {
        font-size: 14px;
      }

      .websites {
        margin-left: 5px;
        display: grid;
        grid-gap: 2px;

        .website {
          display: grid;
          grid-template-columns: 1fr;
          grid-gap: 5px;
          align-items: center;

          .website-name {
            font-size: 12px;
            @include truncate-with-ellipsis;
          }
        }
      }
    }
  }
}
